%global commit 411ac43426e76066a45077276c5832c9f4d62a9c
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           shiny
Version:        0.3
Release:        9.git%{shortcommit}%{?dist}
Summary:        Shader and material management library for OGRE

License:        MIT
URL:            https://github.com/scrawl/shiny/
Source0:        https://github.com/scrawl/shiny/archive/%{commit}/%{name}-%{version}-%{shortcommit}.zip
# https://github.com/scrawl/shiny/pull/25
Patch0:         0001-Revert-shiny.OgrePlatform.so-should-be-installed-in-.patch
Patch1:         0002-now-we-have-working-example-CMake-module.patch

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  ogre-devel
Requires:       ogre

%description
Shader and material management library for OGRE.

%package devel
Summary:        Development Files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ogre-devel

%description devel
Development files for shader and material management library for OGRE.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
mkdir build

%build
LDFLAGS="$LDFLAGS -Wl,--as-needed"; export LDFLAGS
pushd build
  %cmake ../
  make %{?_smp_mflags}
popd

%install
pushd build
  %make_install
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc License.txt Readme.txt
%{_libdir}/lib%{name}.so.*
%{_libdir}/OGRE/lib%{name}.OgrePlatform.so

%files devel
%doc example/FindSHINY.cmake
%{_includedir}/shiny/
%{_libdir}/lib%{name}.so

%changelog
* Wed Jan 28 2015 Petr Machata <pmachata@redhat.com> - 0.3-9.git411ac43
- Rebuild for boost 1.57.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8.git411ac43
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7.git411ac43
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3-6.git411ac43
- Rebuild for boost 1.55.0

* Sat May 24 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3-5.git411ac43
- revert OgrePlatform to libdir/OGRE
- add example cmake file

* Sat May 24 2014 Petr Machata <pmachata@redhat.com> - 0.3-4.git411ac43
- Rebuild for boost 1.55.0

* Fri May 23 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3-3.git411ac43
- Rebuild for boost 1.55.0

* Sat May 17 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3-2.git411ac43
- Update to latest master (install OgrePlatform.so to libdir)

* Thu May 15 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3-1.gitdc53364
- Update to latest master

* Wed May 14 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2-3.gitf41178f
- don't ignore old LDFLAGS

* Wed May 14 2014 Richard Shaw <hobbes1069@gmail.com> - 0.2-2.gitf41178f
- Add patch to set soversion, install targets, and linking with Boost.
- Add LDFLAG option to prevent uncessary linking.

* Wed May 14 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2-1.gitf41178f
- Initial package
